Package ghidra.app.plugin.processors.sleigh.symbol

# Class NameSymbol

java.lang.Object
ghidra.app.plugin.processors.sleigh.symbol.Symbol
ghidra.app.plugin.processors.sleigh.symbol.TripleSymbol
ghidra.app.plugin.processors.sleigh.symbol.FamilySymbol
ghidra.app.plugin.processors.sleigh.symbol.ValueSymbol
ghidra.app.plugin.processors.sleigh.symbol.NameSymbol

public class NameSymbol extends ValueSymbol
A ValueSymbol whose printing aspect is determined by looking up the context value of the symbol in a table of strings

- ## Field Summary

  ### Fields inherited from class ghidra.app.plugin.processors.sleigh.symbol.ValueSymbol

  `patval`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NameSymbol()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getNameTable()`
  `String`
  `print(ParserWalker walker)`
  `void`
  `printList(ParserWalker walker, ArrayList<Object> list)`
  `Constructor`
  `resolve(ParserWalker walker, SleighDebugLogger debug)`
  `void`
  `restoreXml(XmlPullParser parser, SleighLanguage sleigh)`

  ### Methods inherited from class ghidra.app.plugin.processors.sleigh.symbol.ValueSymbol

  `getFixedHandle, getPatternExpression, getPatternValue`

  ### Methods inherited from class ghidra.app.plugin.processors.sleigh.symbol.Symbol

  `getId, getName, getScopeId, restoreHeaderXml`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NameSymbol

    public NameSymbol()

- ## Method Details

  - ### getNameTable

    public List<String> getNameTable()

  - ### resolve

    public Constructor resolve(ParserWalker walker, SleighDebugLogger debug) throws MemoryAccessException, UnknownInstructionException
    Overrides:
      `resolve` in class `TripleSymbol`
    Throws:
      `MemoryAccessException`
      `UnknownInstructionException`

  - ### print

    public String print(ParserWalker walker) throws MemoryAccessException
    Overrides:
      `print` in class `ValueSymbol`
    Throws:
      `MemoryAccessException`

  - ### printList

    public void printList(ParserWalker walker, ArrayList<Object> list) throws MemoryAccessException
    Overrides:
      `printList` in class `ValueSymbol`
    Throws:
      `MemoryAccessException`

  - ### restoreXml

    public void restoreXml(XmlPullParser parser, SleighLanguage sleigh)
    Overrides:
      `restoreXml` in class `ValueSymbol`